Bug 132503 - tmpfs says invalid option for uid and gid options
tmpfs says invalid option for uid and gid options
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-14 02:53 EDT by Hannu Liljemark
Modified: 2013-08-05 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-05 17:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hannu Liljemark 2004-09-14 02:53:10 EDT
Description of problem:

tmpfs mounts don't seem to care about uid= and gid= options so mounts

none /var/spool/spamassassin/scandir tmpfs
mode=700,size=128M,uid=spamd,gid=spamd 0 0

do not work.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux ES release 2.1 (Panama). Tested with kernel
2.4.9-e.40smp and 2.4.9-e.48.

How reproducible:

Put that mount line shown above into fstab and try to mount. Seems to
do the same thing every time.

Actual results:

# mount /var/spool/spamassassin/lala
mount: wrong fs type, bad option, bad superblock on none,
       or too many mounted file systems

I also see 'tmpfs invalid option' in the logs at the same time.

Expected results:

I guess it should work with gid and uid, right? It works fine on AS2.1
server and older Redhats (tested with RH8 and RH9), it's just this
2.1ES that refuses to co-operate.

Additional info:

Something like 

none /var/spool/spamassassin/lala tmpfs mode=777,size=128M 0 0

in fstab works okay, but this isn't exactly what I want.
Comment 2 Jim Paradis 2005-12-05 17:17:34 EST
This issue is outside the scope of the current support status for RHEL2.1.  No
fix is planned.

Note You need to log in before you can comment on or make changes to this bug.